#import "../fragments/vulnerability.fragment.graphql"
#import "~/graphql_shared/fragments/page_info.fragment.graphql"

query instanceVulnerabilities(
  $before: String
  $after: String
  $first: Int = 20
  $last: Int
  $projectId: [ID!]
  $severity: [VulnerabilitySeverity!]
  $reportType: [VulnerabilityReportType!]
  $scanner: [String!]
  $scannerId: [VulnerabilitiesScannerID!]
  $state: [VulnerabilityState!]
  $dismissalReason: [VulnerabilityDismissalReason!]
  $sort: VulnerabilitySort
  $hasIssues: Boolean
  $hasResolution: Boolean
  $vetEnabled: Boolean = false
  $clusterAgentId: [ClustersAgentID!]
) {
  vulnerabilities(
    before: $before
    after: $after
    first: $first
    last: $last
    severity: $severity
    reportType: $reportType
    state: $state
    dismissalReason: $dismissalReason
    projectId: $projectId
    scanner: $scanner
    scannerId: $scannerId
    sort: $sort
    hasIssues: $hasIssues
    hasResolution: $hasResolution
    clusterAgentId: $clusterAgentId
  ) {
    nodes {
      ...VulnerabilityFragment
    }
    pageInfo {
      ...PageInfo
    }
  }
}
